textures/josh/grate_1
{
	qer_editorimage textures/josh/grate_1.tga
	surfaceparm	metalsteps		
	cull none

	// A GRATE OR GRILL THAT CAN BE SEEN FROM BOTH SIDES
	{
		map textures/josh/grate_1.tga
		blendFunc GL_ONE GL_ZERO
		rgbGen identity
		alphaFunc GT0
		depthWrite
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
		depthFunc equal
	}
}
textures/josh/grate_2
{
	qer_editorimage textures/josh/grate_2.tga
	surfaceparm	metalsteps		
	cull none

	// A GRATE OR GRILL THAT CAN BE SEEN FROM BOTH SIDES
	{
		map textures/josh/grate_2.tga
		blendFunc GL_ONE GL_ZERO
		rgbGen identity
		alphaFunc GT0
		depthWrite
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
		depthFunc equal
	}
}
textures/josh/grate_3
{
	qer_editorimage textures/josh/grate_3.tga
	surfaceparm	metalsteps		
	cull none

	// A GRATE OR GRILL THAT CAN BE SEEN FROM BOTH SIDES
	{
		map textures/josh/grate_3.tga
		blendFunc GL_ONE GL_ZERO
		rgbGen identity
		alphaFunc GT0
		depthWrite
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
		depthFunc equal
	}
}
textures/josh/grate_4
{
	qer_editorimage textures/josh/grate_4.tga
	surfaceparm	metalsteps		
	cull none

	// A GRATE OR GRILL THAT CAN BE SEEN FROM BOTH SIDES
	{
		map textures/josh/grate_4.tga
		blendFunc GL_ONE GL_ZERO
		rgbGen identity
		alphaFunc GT0
		depthWrite
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
		depthFunc equal
	}
}
textures/josh/grate_5
{
	qer_editorimage textures/josh/grate_5.tga
	surfaceparm	metalsteps		
	cull none

	// A GRATE OR GRILL THAT CAN BE SEEN FROM BOTH SIDES
	{
		map textures/josh/grate_5.tga
		blendFunc GL_ONE GL_ZERO
		rgbGen identity
		alphaFunc GT0
		depthWrite
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
		depthFunc equal
	}
}


textures/josh/smokey_fog
{
	qer_editorimage textures/josh/smokey_fog.tga
	surfaceparm	trans
	surfaceparm noimpact
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm	nolightmap

	cull back
	fogonly
	fogparms .3 .3 .3 256 1
}

textures/josh/dirty_water
{
	qer_editorimage textures/josh/dirty_water.tga
	surfaceparm noimpact
	surfaceparm water
	cull disable
	
	tesssize 64
	deformVertexes wave 100 sin 3 2 .1 0.1
	
	{
		map textures/josh/dirty_water.tga
		tcMod turb 0 .2 0 .1
	}
	{
		map textures/josh/dirty_water.tga
		blendfunc GL_ONE_MINUS_DST_COLOR GL_ONE
		tcMod turb 0 .1 .5 .2
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbGen identity
	}
}

textures/josh/bright_water
{
	qer_editorimage textures/deathmatch/water1.tga
	surfaceparm noimpact
	surfaceparm water
	cull disable
	
	tesssize 64
	deformVertexes wave 100 sin 3 2 .1 0.1
	
	{
		map textures/deathmatch/water1.tga
		tcMod turb 0 .2 0 .1
	}
	{
		map textures/deathmatch/water1.tga
		blendfunc GL_ONE_MINUS_DST_COLOR GL_ONE
		tcMod turb 0 .1 .5 .2
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbGen identity
	}
}

textures/josh/lava_ONE
{
	qer_editorimage textures/josh/lava_glow.tga
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm lava
	surfaceparm nolightmap
	q3map_surfacelight 300
	cull disable
	
	tesssize 128
	cull disable
	//deformVertexes wave 100 sin 3 2 .1 0.1
	
	{
		map textures/josh/lava_glow.tga
		tcMod turb 0 .2 0 .1
		rgbGen wave sin 1.0 .2 0 .2
	}
	{
		map textures/josh/lava_top.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphafunc GT0
		tcMod scroll .02 0
		rgbGen identity
	}

}


textures/josh/lava_TWO
{
	qer_editorimage textures/josh/lava_glow.tga
	//surfaceparm trans
	surfaceparm noimpact
	surfaceparm lava
	surfaceparm nolightmap
	q3map_surfacelight 250
	cull disable
	
	tesssize 128
	cull disable
	//deformVertexes wave 100 sin 3 2 .1 0.1
	
	{
		map textures/josh/lava_glow.tga
		tcMod turb 0 .2 0 .1
		rgbGen wave sin 1.0 .2 0 .2
	}
	{
		map textures/josh/lava_top2.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphafunc GT0
		tcMod scroll .02 0
		rgbGen identity
	}

}

textures/josh/wall_glow
{
	qer_editorimage textures/josh/wall_glow2.tga
	surfaceparm nodamage

	{
		map textures/josh/wall_glow2.tga
		rgbGen identity
	}
	
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	
	{
		map textures/josh/glow_layer.tga
		blendfunc gl_one gl_one
		rgbGen wave sin .5 .5 0 .25
	}

	//	END
}

textures/josh/spinning_pentagram
{
	qer_editorimage textures/josh/blank_portal.tga
	q3map_lightimage textures/josh/pentagram_1.tga
	q3map_surfacelight 100

	{
		map textures/josh/blank_portal.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc GL_DST_COLOR GL_ZERO
	}
	{	
		AnimMap 10 textures/josh/pentagram_1.tga textures/josh/pentagram_2.tga
		blendfunc GL_ONE GL_ONE
		clampTexCoords
		tcMod rotate 10
		rgbGen wave sin .5 .25 0 .25
	}
}
textures/josh/spinning_flare
{
	qer_editorimage textures/josh/blank_portal.tga
	q3map_lightimage textures/josh/flare.tga
	q3map_surfacelight 150

	{
		map textures/josh/blank_portal.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc GL_DST_COLOR GL_ZERO
	}
	{	
		map textures/josh/flare.tga
		blendfunc GL_ONE GL_ONE
		clampTexCoords
		tcMod rotate -90
		rgbGen Identity
	}
	{	
		map textures/josh/flare_sm.tga
		blendfunc GL_ONE GL_ONE
		clampTexCoords
		tcMod rotate 180
		rgbGen Identity
	}

}

textures/josh/teleporter2_shader
{
	qer_editorimage textures/josh/blank_portal_brick.tga
	q3map_lightimage textures/josh/Teleporter_circle.tga
	q3map_surfacelight 150

	
	{
		map textures/josh/Electric_noalpha.tga
		rgbGen identity
		tcMod rotate 45
		tcMod turb .25 .5 1 2
		//rgbGen wave triangle .5 .5 0 2
	}
	{
		map textures/josh/blank_portal_brick.tga
		blendfunc GL_SRC_ALPHA GL_zero
		alphafunc GT0
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc GL_DST_COLOR GL_ZERO
	}
	{	
		map textures/josh/Teleporter_circle.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .5 .5 0 .25
	}
}

textures/josh/jumppad_2
{
	qer_editorimage textures/josh/bricks2d_hole.tga

	{
		map textures/josh/bricks2d_hole.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/josh/jumppad2_layer1.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphafunc GT0
		clampTexCoords
		tcMod rotate 20
		rgbGen identity
	}
	{	
		map textures/josh/jumppad2_layer2.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphafunc GT0
		rgbGen identity
	}
}


textures/josh/diamond1024
{
	qer_editorimage textures/josh/savage_bricks.tga
	q3map_lightimage textures/josh/Diam256_1.tga
	q3map_surfacelight 250
	{
		map textures/josh/savage_bricks.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc GL_DST_COLOR GL_ZERO
	}
	{
		AnimMap 10 textures/josh/Diam256_1.tga textures/josh/Diam256_2.tga textures/josh/Diam256_3.tga textures/josh/Diam256_4.tga textures/josh/Diam256_5.tga
		rgbGen identity		
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphafunc GT0
	}

}